/* 加载的背景遮罩 */
.loading-overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: #f0f0f0;
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 9999;
    transition: opacity 0.5s ease-out, visibility 0.5s ease-out;
}

.loading-overlay.hidden {
    opacity: 0;
    visibility: hidden;
}

/* 加载内容容器 */
.loading-content {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

/* 图形加载动画 */

.spinner {
    /* HTML: <div class="loader"></div> */
    --r1: 154%;
    --r2: 68.5%;
    width: 60px;
    aspect-ratio: 1;
    border-radius: 50%;
    background:
        radial-gradient(var(--r1) var(--r2) at top, #0000 79.5%, #83609f 80%),
        radial-gradient(var(--r1) var(--r2) at bottom, #83609f 79.5%, #0000 80%),
        radial-gradient(var(--r1) var(--r2) at top, #0000 79.5%, #83609f 80%),
        #ccc;
    background-size: 50.5% 220%;
    background-position: -100% 0%, 0% 0%, 100% 0%;
    background-repeat: no-repeat;
    animation: l9 2s infinite linear;
}

@keyframes l9 {
    33% {
        background-position: 0% 33%, 100% 33%, 200% 33%
    }
    66% {
        background-position: -100% 66%, 0% 66%, 100% 66%
    }
    100% {
        background-position: 0% 100%, 100% 100%, 200% 100%
    }
}

/* Loading的文字动画 */

.loading-text {
    width: fit-content;
    font-weight: bold;
    font-family: Cambria, Cochin, Georgia, Times, 'Times New Roman', serif;
    white-space: pre;
    font-size: 30px;
    line-height: 1.2em;
    height: 1.2em;
    overflow: hidden;
    margin-top: 30px;
    text-align: center;
}

.loading-text:before {
    content: "Loading...\A⌰oading...\A⌰⍜ading...\A⌰⍜⏃ding...\A⌰⍜⏃⎅ing...\A⌰⍜⏃⎅⟟ng...\A⌰⍜⏃⎅⟟⋏g...\A⌰⍜⏃⎅⟟⋏☌...\A⌰⍜⏃⎅⟟⋏☌⟒..\A⌰⍜⏃⎅⟟⋏☌⟒⏁.\A⌰⍜⏃⎅⟟⋏☌⟒⏁⋔";
    white-space: pre;
    display: inline-block;
    animation: l39 1s infinite steps(11) alternate;
}

@keyframes l39 {
    100% {
        transform: translateY(-100%)
    }
}